# Generated by Django 4.1.4 on 2022-12-12 12:43

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Cidade',
            fields=[
                ('ativo', models.BooleanField(default=True)),
                ('data_criacao', models.DateField(auto_now_add=True)),
                ('data_modificacao', models.DateField(auto_now=True)),
                ('cidade_id', models.AutoField(primary_key=True, serialize=False)),
                ('cidade', models.CharField(max_length=100, verbose_name='Cidade')),
            ],
            options={
                'verbose_name': 'Cidade',
                'verbose_name_plural': 'Cidades',
            },
        ),
        migrations.CreateModel(
            name='Uf',
            fields=[
                ('ativo', models.BooleanField(default=True)),
                ('data_criacao', models.DateField(auto_now_add=True)),
                ('data_modificacao', models.DateField(auto_now=True)),
                ('uf_id', models.AutoField(primary_key=True, serialize=False)),
                ('estado', models.CharField(max_length=100, verbose_name='Estado')),
            ],
            options={
                'verbose_name': 'Estado',
                'verbose_name_plural': 'Estados',
            },
        ),
        migrations.CreateModel(
            name='Endereco',
            fields=[
                ('ativo', models.BooleanField(default=True)),
                ('data_criacao', models.DateField(auto_now_add=True)),
                ('data_modificacao', models.DateField(auto_now=True)),
                ('cep', models.CharField(max_length=9, primary_key=True, serialize=False, verbose_name='CEP')),
                ('cidade_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='address.cidade', verbose_name='Cidade')),
            ],
            options={
                'verbose_name': 'Endereço',
                'verbose_name_plural': 'Endereços',
            },
        ),
        migrations.AddField(
            model_name='cidade',
            name='uf_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='address.uf', verbose_name='Estado'),
        ),
    ]
